'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _path2, _g, _path3;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgEthiopia = function SvgEthiopia(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 64 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "Ethiopia_svg__a",
    width: 62,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#D9D9D9",
    stroke: "#000",
    d: "M8 1.5h48A6.5 6.5 0 0 1 62.5 8v32a6.5 6.5 0 0 1-6.5 6.5H8A6.5 6.5 0 0 1 1.5 40V8A6.5 6.5 0 0 1 8 1.5Z"
  }))), /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#Ethiopia_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "Ethiopia_svg__b",
    width: 64,
    height: 47,
    x: 0,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M.988 1h62.169v46.123H.988z"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    mask: "url(#Ethiopia_svg__b)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFC621",
    fillRule: "evenodd",
    d: "M-15.102 1.315H79.42v44.862h-94.522z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#EF2118",
    fillRule: "evenodd",
    d: "M-15.284 31.854h94.641v15.269h-94.641z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#298C08",
    fillRule: "evenodd",
    d: "M-15.102 1H79.42v16.215h-94.522z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#006BC6",
    d: "M30.49 34.552c5.423 0 9.82-4.35 9.82-9.715s-4.397-9.714-9.82-9.714-9.82 4.35-9.82 9.715 4.397 9.714 9.82 9.714"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFC621",
    fillRule: "evenodd",
    d: "m26.086 17.954-.592.406 2.14 2.972.574-.36-2.131-3.018zm2.677 7.027-.883-.613.364-1.144-4.38.063-1.275-.964 5.983-.063 1.11-3.324.602 1.351-1.52 4.685zm6.967-6.37-.574-.432-2.213 2.919.51.423zm-5.956 4.64.319-1.009h1.21l-1.383-4.126.546-1.486 1.867 5.621 3.533.045-1.11.964-4.982-.018zm8.25 4.612.246-.666-3.488-1.198-.255.63zm-6.292-4.18 1.065-.009.374 1.135 3.533-2.567 1.602.054-4.835 3.486 1.047 3.351-1.275-.756zm-1.803 9.189.72.018.026-3.649-.673-.044-.073 3.684zm2.003-7.234.346 1-.974.72 3.588 2.496.455 1.514-4.881-3.424-2.868 2.045.318-1.441 4.007-2.91zm-9.407 1.171.21.676 3.524-1.1-.182-.648zm7.577-.36-.856.64-.984-.694-1.293 4.144-1.311.9 1.776-5.648-2.86-2.072 1.485-.144z",
    clipRule: "evenodd"
  })))), _path3 || (_path3 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M56 1H8a7 7 0 0 0-7 7v32a7 7 0 0 0 7 7h48a7 7 0 0 0 7-7V8a7 7 0 0 0-7-7M8 0a8 8 0 0 0-8 8v32a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V8a8 8 0 0 0-8-8z",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgEthiopia;
